org.eclipse.emf.facet.widgets.table.ui.command

## Interface ITableCommandFactoryFactory

    public interface ITableCommandFactoryFactory

Since:
  0.3
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ITableCommandFactoryFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ITableCommandFactory` `createTableCommandFactory(Table table, EditingDomain editingDomain, ICommandFactory commandFactory)`
`ITableCommandFactory` `createTableCommandFactory(Table table, EditingDomain editingDomain, ICommandFactory commandFactory, IFacetManager facetManager)` Deprecated.

### Field Detail

#### DEFAULT

    static final ITableCommandFactoryFactory DEFAULT

### Method Detail

#### createTableCommandFactory

    @Deprecated
    ITableCommandFactory createTableCommandFactory(Table table,
                                                               EditingDomain editingDomain,
                                                               ICommandFactory commandFactory,
                                                               IFacetManager facetManager)

Deprecated.

#### createTableCommandFactory

    ITableCommandFactory createTableCommandFactory(Table table,
                                                   EditingDomain editingDomain,
                                                   ICommandFactory commandFactory)

Since:
  1.2